edu.msu.cme.rdp.classifier.comparison

## Class ComparisonBrowserBean

- java.lang.Object
- - edu.msu.cme.rdp.classifier.comparison.ComparisonBrowserBean

    public class ComparisonBrowserBean
    extends java.lang.Object

### Constructor Summary

Constructors
Constructor and Description
`ComparisonBrowserBean(java.lang.String hver, java.lang.String cver)`

### Method Summary

All Methods Static Methods Instance Methods Concrete Methods
`java.util.Iterator` `getChildTaxonList()`
`java.lang.String` `getClassifierVersion()`
`java.lang.String` `getConfidence()`
`ComparisonBrowserNode` `getCurrentBrowserRoot()`
`static float` `getDefaultConfidence()`
`java.lang.String` `getDepth()`
`java.util.Iterator` `getDetailList()`
`int` `getDetailListSize()`
`float` `getFloatConfidence()`
`java.util.Iterator` `getHierarchyTaxonList()`
`java.lang.String` `getHierarchyVersion()`
`java.util.Iterator` `getLineageList()`
`java.lang.String` `getS1Filename()`
`int` `getS1Total()`
`java.lang.String` `getS2Filename()`
`int` `getS2Total()`
`static int` `getSeqCountLimit()`
`int` `getSeqErrorCount()`
`java.util.Iterator` `getSeqErrorList()`
`java.util.Date` `getSubmitDate()`
`java.util.Iterator` `getTabularTaxonList()`
`void` `setConfidence(java.lang.String confidenceStr)`
`void` `setCurrentRoot(java.lang.String tax)`
`void` `setDepth(java.lang.String depthStr)`
`void` `setRoot(ComparisonBrowserNode root)`
`void` `setSeqErrorList(java.util.List errorList)`
`void` `setSubmitDate(java.util.Date date)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### ComparisonBrowserBean

    public ComparisonBrowserBean(java.lang.String hver,
                                 java.lang.String cver)

### Method Detail

#### getSeqCountLimit

    public static int getSeqCountLimit()

#### getDefaultConfidence

    public static float getDefaultConfidence()

#### getSubmitDate

    public java.util.Date getSubmitDate()

#### setSubmitDate

    public void setSubmitDate(java.util.Date date)

#### getHierarchyVersion

    public java.lang.String getHierarchyVersion()

#### getClassifierVersion

    public java.lang.String getClassifierVersion()

#### getDepth

    public java.lang.String getDepth()

#### setDepth

    public void setDepth(java.lang.String depthStr)

#### getFloatConfidence

    public float getFloatConfidence()

#### getS1Total

    public int getS1Total()

#### getS2Total

    public int getS2Total()

#### getS1Filename

    public java.lang.String getS1Filename()

#### getS2Filename

    public java.lang.String getS2Filename()

#### getConfidence

    public java.lang.String getConfidence()

#### setConfidence

    public void setConfidence(java.lang.String confidenceStr)

#### getSeqErrorCount

    public int getSeqErrorCount()

#### getCurrentBrowserRoot

    public ComparisonBrowserNode getCurrentBrowserRoot()

#### setCurrentRoot

    public void setCurrentRoot(java.lang.String tax)

#### setRoot

    public void setRoot(ComparisonBrowserNode root)

#### getLineageList

    public java.util.Iterator getLineageList()

#### getTabularTaxonList

    public java.util.Iterator getTabularTaxonList()

#### getChildTaxonList

    public java.util.Iterator getChildTaxonList()

#### getHierarchyTaxonList

    public java.util.Iterator getHierarchyTaxonList()

#### getDetailList

    public java.util.Iterator getDetailList()

#### getDetailListSize

    public int getDetailListSize()

#### setSeqErrorList

    public void setSeqErrorList(java.util.List errorList)

#### getSeqErrorList

    public java.util.Iterator getSeqErrorList()